#include "sopnamsp.h"
#include "pimenubarmac.h"
#include "pippmenubar.h"
#include <LMenuBar.h>

PIMenubarMac::PIMenubarMac(PIApplicationGen* par, char* nom)
:PIMenubarGen(par, nom)
{
	new PIPPMenuBar();
}

PIMenubarMac::~PIMenubarMac()
{}

void
PIMenubarMac::AppendMenu(PIMenu *pdm)
{
  LMenuBar::GetCurrentMenuBar()->InstallMenu(pdm->macMenu, InstallMenu_AtEnd);
}

void
PIMenubarMac::RemoveMenu(PIMenu *pdm)
{
  LMenuBar::GetCurrentMenuBar()->RemoveMenu(pdm->macMenu);
}

void
PIMenubarMac::SetSensitivity(PIMenu *pdm, bool sens)
{

}

bool
PIMenubarMac::IsSensitive(PIMenu *pdm)
{
  return true;
}
